package org.jboss.cache.loader;

import org.jboss.cache.CacheSPI;
import org.jboss.cache.util.TestingUtil;
import org.testng.annotations.Test;

/**
 * Tests {@link org.jboss.cache.loader.jdbm.JdbmCacheLoader}.
 *
 * @author Elias Ross
 * @version $Id: JdbmCacheLoaderTest.java 6905 2008-10-13 09:35:27Z dpospisi@redhat.com $
 */
@Test (groups = {"functional"})
public class JdbmCacheLoaderTest extends CacheLoaderTestsBase
{
   protected void configureCache() throws Exception
   {      
      CacheSPI<Object, Object> cache = cacheTL.get();
      String tmpDir = System.getProperty("java.io.tmpdir", "/tmp");
      String threadId = Thread.currentThread().getName();
      String tmpCLLoc = tmpDir + "/JBossCache-JdbmCacheLoaderTest-" + threadId;
      cache.getConfiguration().setCacheLoaderConfig(getSingleCacheLoaderConfig("", "org.jboss.cache.loader.jdbm.JdbmCacheLoader", "location=" + tmpCLLoc, false, true, false));
      TestingUtil.recursiveFileRemove(tmpCLLoc);
   }
}
